data:
  dataset: {name: train, samples: 12744, type: private}
  datasetLoadOption: full
  kfold: 1
  mapping:
    Filename:
      options: {Augmentation: true, Height: '224', Normalization: false, Resize: true,
        Scaling: 1, Width: '224', height_shift_range: '0.2', horizontal_flip: false,
        pretrained: ResNet50, rotation_range: '30', shear_range: '0.2', vertical_flip: true,
        width_shift_range: '0.2'}
      port: InputPort0
      shape: ''
      type: Image
    Label:
      options: {}
      port: OutputPort0
      shape: ''
      type: Categorical
  numPorts: 1
  samples: {split: 2, test: 2548, training: 7646, validation: 2548}
  shuffle: true
model:
  connections:
  - {source: ResNet50_1, target: Flatten_3}
  - {source: Input_1, target: ResNet50_1}
  - {source: Flatten_3, target: Dense_7}
  - {source: Dense_7, target: Output_3}
  layers:
  - args: {}
    class: Input
    name: Input_1
    x: 127
    y: 22
  - args: {include_top: false, trainable: '30'}
    class: ResNet50
    name: ResNet50_1
    x: 115
    y: 137
  - args: {}
    class: Flatten
    name: Flatten_3
    x: 623
    y: 175
  - args: {activation: softmax, output_dim: '3'}
    class: Dense
    name: Dense_7
    x: 623
    y: 291
  - args: {}
    class: Output
    name: Output_3
    x: 620
    y: 428
params:
  advance_params: true
  batch_size: 32
  is_custom_loss: false
  loss_func: categorical_crossentropy
  num_epoch: 10
  optimizer: {name: Adam}
project: MNIST Handwritten Digits Classifier
